IntelliCAD 11.1 Object Library
Mirror3D Method
See Also 
Point1
Point object representing the first point of the plane used for mirroring.
Point2
Point object representing the second point of the plane used for mirroring.
Point3
Point object representing the third point of the plane used for mirroring.
MakeCopy
Boolean value indicating whether or not to mirror the original object or a copy of the original object.
Solid3D Object : Mirror3D Method

Description

Mirrors an object about a plane defined by three points.

Syntax

Visual Basic
Public Function Mirror3D( _
   ByVal Point1 As Point, _
   ByVal Point2 As Point, _
   ByVal Point3 As Point, _
   Optional ByVal MakeCopy As Boolean = True _
) As Entity

Parameters

Point1
Point object representing the first point of the plane used for mirroring.
Point2
Point object representing the second point of the plane used for mirroring.
Point3
Point object representing the third point of the plane used for mirroring.
MakeCopy
Boolean value indicating whether or not to mirror the original object or a copy of the original object.

Example

Private Sub Mirror3DExample()

     ' This example creates a cone in model space

     ' and mirrors the cone about a plane.

     Dim coneObj As IntelliCAD.PolygonMesh

     Dim mirrorConeObj As IntelliCAD.PolygonMesh

     Dim conePt As IntelliCAD.Point

     Dim mirPt1 As IntelliCAD.Point

     Dim mirPt2 As IntelliCAD.Point

     Dim mirPt3 As IntelliCAD.Point

     Set conePt = Library.CreatePoint(2, 2, 0)

     Set mirPt1 = Library.CreatePoint(1, 2, 0)

     Set mirPt2 = Library.CreatePoint(3, 4, 0)

     Set mirPt3 = Library.CreatePoint(4, 2, 0)

     Set coneObj = ThisDocument.ModelSpace.AddCone(conePt, 3, 4)

     coneObj.Update

     ThisDocument.Application.ZoomExtents

 

     ' Mirror the cone

     Set mirrorConeObj = coneObj.Mirror3D(mirPt1, mirPt2, mirPt3)

     ThisDocument.Application.ZoomAll

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.